Package org.apache.calcite.avatica.util

# Class PositionedCursor.MapGetter<K>

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter
org.apache.calcite.avatica.util.PositionedCursor.MapGetter<K>

Type Parameters:
  `K` - the key type

All Implemented Interfaces:
  `AbstractCursor.Getter`

Enclosing class:
  PositionedCursor<T>

protected class PositionedCursor.MapGetter<K> extends AbstractCursor.AbstractGetter
Implementation of `AbstractCursor.Getter` that reads entries from a `Map`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final K`
`key`

## Constructor Summary

Constructors
Constructor
Description
`MapGetter(K key)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter

`wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### key

protected final K key

## Constructor Details

### MapGetter

public MapGetter(K key)

## Method Details

### getObject

public Object getObject() throws SQLException

Throws:
  `SQLException`